// Böschungsschneider parametrierbar

//Variablendefinition

$spur = 16.5; //Spurweite

$kopfbreite = 2; //Profilkopf- Breite

$abstand = 18; //Abstand Profil - Böschungskante. Bei weniger als 10 können sich Skalpell und Profil in die Queere kommen. Besonders bei kleinen Spurweiten (N und Z) u.U. ein Problem

$durchmesser = 8; //Durchmesser des Skalpells (sollte zwischen 8 und 10 liegen Bei größeren oder kleineren Werten kann Nacharbeit notwendig werden)

$drei = 0; //Auf 1 setzen für 3- Leiter Gleis 

$fn = 150; //Feinheit der Rundungen


// Interne Brechnungen, bitte den addierten Wert (voreingestellt ist + 0.3)entsprechend ändern, wenn die Werte nicht zum eigenen Drucker passen.

$durch = $durchmesser + 0.3;

$kopf = $kopfbreite + 0.5;


//Konstruktion

difference() {
    cube([$abstand + $spur, 40, 10], true);

translate([$spur/2 -0.2,-5,-5.1])
        cube([$kopf, 82, 5], true);

translate([-$spur/2 -0.2,-5,-5.1])
        cube([$kopf, 82, 5], true);

if($drei==1){translate([0,-5,-5.1])
        cube([$kopf, 82, 5], true);
    } 

 translate([$spur/2 + $abstand - 2 * $durch,0,10])rotate([0,-51,0])
    cylinder( h=60 , d=$durch+$durch/3, center=true); 

}

difference(){translate([-$durch/2,0,10])cube([$spur + $abstand - $durch,$durch+3,10],true);
    
    translate([$spur/2 + $abstand - 2 * $durch,0,10])rotate([0,-51,0])
    cylinder( h=40 , d=$durch+2, center=true);    
    
 translate([$spur/2 + $abstand/2 - 1,0,10])cube([11,$durch + 5,11],true);   
    
}    
    
translate([$abstand + $spur/2 - $durch * 1.5- 5,0,9.5])rotate([0,-51,0]) 
union(){
    
    difference(){
                
    color("black")cylinder( h=20 , d=$durch+3, center=true); 
    
    translate([0,0,-1])cylinder(h=32 , d=$durch,center=true);
    
    translate([10,0,-1])rotate([0,0,51])cube([10,10,32], true);
    }   

    }


//rotate([0,-45,0])
    